from textual.app import App, ComposeResult
from textual.widgets import Footer

from ui.widgets.sidebar import Sidebar
from ui.widgets.timeline import Timeline
from ui.widgets.project_settings import ProjectSettings


class AppUI(App):    
    CSS_PATH = "../assets/style.tcss"
    
    def __init__(self, project):
        super().__init__()
        self.zoom_level = 0.05
        self.last_zoom_level = self.zoom_level
        self.project = project
        
    
    def compose(self) -> ComposeResult:
        yield Sidebar()
        yield Timeline()
        yield ProjectSettings()
        yield Footer()